aboutsummaryrefslogtreecommitdiffstats
path: root/deployed-server/deployed-server-bootstrap-centos.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deployed-server/deployed-server-bootstrap-centos.sh')
-rw-r--r--deployed-server/deployed-server-bootstrap-centos.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/deployed-server/deployed-server-bootstrap-centos.sh b/deployed-server/deployed-server-bootstrap-centos.sh
new file mode 100644
index 0000000..7266ca5
--- /dev/null
+++ b/deployed-server/deployed-server-bootstrap-centos.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -eux
+
+yum install -y \
+ jq \
+ python-ipaddr \
+ openstack-puppet-modules \
+ os-net-config \
+ openvswitch \
+ python-heat-agent*
+
+ln -s -f /usr/share/openstack-puppet/modules/* /etc/puppet/modules
+
+setenforce 0
+sed -i 's/^SELINUX=.*/SELINUX=permissive/' /etc/selinux/config